Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class NewStaticMetaMethod

- org.codehaus.groovy.runtime.metaclass.NewStaticMetaMethod

- A MetaMethod implementation where the underlying method is really a static helper method on some class. This implementation is used to add new static methods to the JDK writing them as normal static methods with the first parameter being the class on which the method is added.

  Authors:
    Guillaume Laforge

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class NewMetaMethod` | `EMPTY_TYPE_ARRAY, bytecodeParameterTypes`
    `class ReflectionMetaMethod` | `method`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NewStaticMetaMethod (CachedMethod method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getModifiers()`
    `` | `Object` | `invoke(Object object, Object[] arguments)`
    `` | `boolean` | `isStatic()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NewMetaMethod` | `getBytecodeParameterTypes, getDeclaringClass, getOwnerClass`
    `class ReflectionMetaMethod` | `getCachedMethod, getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public NewStaticMetaMethod(CachedMethod method)

  - ### Method Detail

    - #### public int getModifiers()

    - #### public Object invoke(Object object, Object[] arguments)

    - #### public boolean isStatic()